#version 150

in vec3 Position;
in vec4 Color;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec4 vertexColor;

void main() {
    gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    vertexColor = Color;

    // Remove chat            Title
    if (Position.z == 2600 || Position.z == 2400) { //  || (Position.z == 0 && vertexColor == vec4(1,1,1,1) || vertexColor == vec4(0,0,0,1))
        //gl_Position = ProjMat * ModelViewMat * (vec4(Position, 1.0) - vec4(0,30,0,0));
        vertexColor = vec4(0,0,0,0);
    }

    // Move actionbar
    if (Position.z == 2200) {
        gl_Position = ProjMat * ModelViewMat * (vec4(Position, 1.0) + vec4(0,10,0,0));
    }
}
